$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.11.0-213.5.beta/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/beta/release/2.11.0-213.5.beta/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-ToolsLocation
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '15150f4c3c5e98f42e9b9abdf4143de653a5c9756855f950bf5e9c3235414e2d'
  checksumType   = 'sha256'
  checksum64     = '5a7f429b62f8189364935ff4ec91692cf0cf11d23709c9b5df8b7597d1866107'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
